commit: 7644591e54f126088cf2b0d954de9d0d3da7a048
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 14 05:19:18 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar 14 05:45:11 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7644591e
dev-python/uv-build: Bump to 0.10.10
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/uv-build/Manifest | 1 +
dev-python/uv-build/uv-build-0.10.10.ebuild | 99 +++++++++++++++++++++++++++++
2 files changed, 100 insertions(+)
diff --git a/dev-python/uv-build/Manifest b/dev-python/uv-build/Manifest
index 10e2eb826d03..ddc859653441 100644
--- a/dev-python/uv-build/Manifest
+++ b/dev-python/uv-build/Manifest
@@ -1,4 +1,5 @@
DIST uv_build-0.10.0.tar.gz 361570 BLAKE2B
e94909f789b4f09b407b2441261c60235d9e4572c3cf71e9947fb285fea1240be90faa9edf0a8a6fc9b0992103a0c99c7edcf32d969267482f63a354a2f00b94
SHA512
c053b31df98966b1e2d327d912d610f7844fe98565ab0f396cf87c3f9cfcafcad142fc6999d23afa7a5819a69995195d9ed65f76d6179a890c842db6e8e2aebb
+DIST uv_build-0.10.10.tar.gz 378602 BLAKE2B
bc6f3f601d153bd1f4ff6904076607ec2b889e07452c71dcef442c26f16109c691f418e24803148f4f571a1adb2a3d3fdc76b2097b9395c4ba5c578eaa4756dd
SHA512
a103acda49c6245a52b17fb5b675046bd25116cd358ac03b9c970456ae89c6f1ab41d9b9c31737efa00cb94bf4e3ee9fb9d038b4ef07568e6a09fe2c3a80e640
DIST uv_build-0.10.2.tar.gz 361619 BLAKE2B
846ebd454b8f9ec126bb25671c39e75b6f22b0ec60ccc7cd0775ef84df0ed8ba9cad94d343538def6c5ebfa142df60bc502ee732017f0d5abbd53392747d9c6c
SHA512
fee7ddb7eedc2490eed4240120b6541b6d4b247dd428e8e6844895880d4ed8310dc90a5a0805ee77a5ea179b753212719cf9e2be9baad19c5661e7df50d84f34
DIST uv_build-0.10.3.tar.gz 362506 BLAKE2B
36e938850caef030cc3492c89a30c15ce7a8374b3c02baa1718e24d51441a63e0e30c0af936bb58e0772128e66f7b35d9626b61fa471313913e6920ac006573e
SHA512
b49b5089b34d18851264f4f0645021828a7b5a8a46b393d4a67e9f99d508aa12f24d9fcb7c821d585a5dfea8c2a4fb1980853df64cb63fc07cde63eb9a27440f
DIST uv_build-0.10.4.tar.gz 362535 BLAKE2B
2c392629b8e8ff6e81bb04fe182453c97b88320746ba813c40b742b9356be9b0ab9becd9f0d365d4d87b798aeb8fc21e16584270d56f63a52e31530ff5f601ab
SHA512
f7d6ff75d8f5e457ade32943aa4eb80d393299d83324608df8822b5f1fb232b66a1fe2e1c218b1e8165d13c37937f3b56d9e3fc97a325b8989d73a11ae30a7b9
diff --git a/dev-python/uv-build/uv-build-0.10.10.ebuild
b/dev-python/uv-build/uv-build-0.10.10.ebuild
new file mode 100644
index 000000000000..c0a0bed6eecb
--- /dev/null
+++ b/dev-python/uv-build/uv-build-0.10.10.ebuild
@@ -0,0 +1,99 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Maturin compiles uv-build executable for every impl, we do not want
+# that, so we use another backend. And since we use another backend,
+# why not dogfood it in the first place?
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="PEP517 uv build backend"
+HOMEPAGE="
+ https://github.com/astral-sh/uv/
+ https://pypi.org/project/uv-build/
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/uv-${PV}
+"
+BDEPEND="
+ test? (
+ app-arch/unzip
+ dev-python/build[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # use the executable from dev-python/uv instead of building
+ # a largely overlapping uv-build executable (at least for now)
+ sed -i -e '/USE_UV_EXECUTABLE/s:False:True:'
python/uv_build/__init__.py || die
+
+ # replace the build-system section
+ sed -i -e '/\[build-system\]/,$d' pyproject.toml || die
+ cat >> pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["uv_build<9999"]
+ build-backend = "uv_build"
+ backend-path = ["src"]
+ EOF
+
+ # rename to make uv-build find it
+ mv python src || die
+}
+
+python_test() {
+ "${EPYTHON}" -m build -n || die "Self-build failed with ${EPYTHON}"
+
+ local zip_result=$(
+ unzip -t "dist/uv_build-${PV}-py3-none-any.whl" || die
+ )
+ local zip_expected="\
+Archive: dist/uv_build-${PV}-py3-none-any.whl
+ testing: uv_build/ OK
+ testing: uv_build/__init__.py OK
+ testing: uv_build/__main__.py OK
+ testing: uv_build/py.typed OK
+ testing: uv_build-${PV}.dist-info/ OK
+ testing: uv_build-${PV}.dist-info/WHEEL OK
+ testing: uv_build-${PV}.dist-info/METADATA OK
+ testing: uv_build-${PV}.dist-info/RECORD OK
+No errors detected in compressed data of dist/uv_build-${PV}-py3-none-any.whl.\
+"
+ if [[ ${zip_result} != ${zip_expected} ]]; then
+ eerror ".zip result:\n${zip_result}"
+ eerror ".zip expected:\n${zip_expected}"
+ die ".whl result mismatch"
+ fi
+
+ local tar_result=$(
+ tar -tf "dist/uv_build-${PV}.tar.gz" || die
+ )
+ local tar_expected="\
+uv_build-${PV}/PKG-INFO
+uv_build-${PV}/
+uv_build-${PV}/README.md
+uv_build-${PV}/pyproject.toml
+uv_build-${PV}/src
+uv_build-${PV}/src/uv_build
+uv_build-${PV}/src/uv_build/__init__.py
+uv_build-${PV}/src/uv_build/__main__.py
+uv_build-${PV}/src/uv_build/py.typed\
+"
+ if [[ ${tar_result} != ${tar_expected} ]]; then
+ eerror ".tar.gz result:\n${tar_result}"
+ eerror ".tar.gz expected:\n${tar_expected}"
+ die ".tar.gz result mismatch"
+ fi
+}